package com.jasamedika.medifirst2000.vo;

import java.sql.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class MasalahKeperawatanDetailVO extends MedicalRecordTransactionVO {
	/**
	 * @author Shakato
	 */
	
	@ManyToOne
	@JoinColumn(name = "ObjectMasalahKeperawatanFk")
	@Caption(value = "ID MasalahKeperawatan")
	//@NotNull(message = "ID HasilTriase tidak boleh kosong")
	private MasalahKeperawatanVO masalahKeperawatan;
	
	@Column(name = "ObjectMasalahKeperawatanFk", insertable = false, updatable = false, nullable = true)
	private String masalahKeperawatanId;
	
	@Column(name = "dataMasalahKeperawatan", nullable = true)
	@Caption(value = "dataMasalahKeperawatan")
	private String dataMasalahKeperawatan;

	@Column(name = "tanggalDitemukan", nullable = true)
	@Caption(value = "tanggalDitemukan")
	private Date tanggalDitemukan;

	@Column(name = "tanggalTeratasi", nullable = true)
	@Caption(value = "tanggalTeratasi")
	private Date tanggalTeratasi;

	public MasalahKeperawatanVO getMasalahKeperawatan() {
		return masalahKeperawatan;
	}

	public void setMasalahKeperawatan(MasalahKeperawatanVO masalahKeperawatanVO) {
		this.masalahKeperawatan = masalahKeperawatanVO;
	}

	public String getMasalahKeperawatanId() {
		return masalahKeperawatanId;
	}

	public void setMasalahKeperawatanId(String masalahKeperawatanId) {
		this.masalahKeperawatanId = masalahKeperawatanId;
	}

	public String getDataMasalahKeperawatan() {
		return dataMasalahKeperawatan;
	}

	public void setDataMasalahKeperawatan(String dataMasalahKeperawatan) {
		this.dataMasalahKeperawatan = dataMasalahKeperawatan;
	}

	public Date getTanggalDitemukan() {
		return tanggalDitemukan;
	}

	public void setTanggalDitemukan(Date tanggalDitemukan) {
		this.tanggalDitemukan = tanggalDitemukan;
	}

	public Date getTanggalTeratasi() {
		return tanggalTeratasi;
	}

	public void setTanggalTeratasi(Date tanggalTeratasi) {
		this.tanggalTeratasi = tanggalTeratasi;
	}

}